Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ISurfacePositionField

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IField
                  igeo.I3DField
                      igeo.ISurfacePositionField

All Implemented Interfaces:
  I3DFieldI, IDynamics, IFieldI, ISubobject

    public class ISurfacePositionField

extends I3DField

3D vector filed defined by a NURBS surface position (vector from the origin).

Author:
  Satoru Sugihara

Nested Class Summary
`static class` | `ISurfacePositionField.ISurfacePositionFieldGeo`

Field Summary

Fields inherited from class igeo.I3DField
`field`

Fields inherited from class igeo.IField
`targetClasses`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`ISurfacePositionField(ISurfaceI srf)`

Method Summary
`ISurfacePositionField` | `constantIntensity(boolean b)` if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used
`ISurfacePositionField` | `gaussian(double threshold)` alias of gaussianDecay
`ISurfacePositionField` | `gaussianDecay(double threshold)` set Gaussian decay with threshold; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).
`ISurfacePositionField` | `intensity(double i)` set output intensity
`ISurfacePositionField` | `linear(double threshold)` alias of linearDecay
`ISurfacePositionField` | `linearDecay(double threshold)` set linear decay with threshold; When distance is equal to threshold, output is zero.
`ISurfacePositionField` | `noDecay()` set no decay
`ISurfacePositionField` | `threshold(double t)` set decay threshold

Methods inherited from class igeo.I3DField
`applyField, del, del, field, get, intensity, threshold`

Methods inherited from class igeo.IField
`clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, hide, hsb, hsb, hsb, hsb, interact, isTarget, isTargetClass, layer, name, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, show, target, target, targetClass, targetClass, weight, weight`

Methods inherited from class igeo.IAgent
`addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, setColor, setColor, setColor, setColor, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget`

Methods inherited from class igeo.IObject
`alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, clearDynamics, clearGraphics, clr, cp, createGraphic, defaultAttribute, deleteGraphic, dup, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, greyInt, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setColor, setColor, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, userData, userData, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISurfacePositionField

    public ISurfacePositionField(ISurfaceI srf)

Method Detail

### noDecay

    public ISurfacePositionField noDecay()

  Description copied from class: `I3DField`
  set no decay

  Specified by:
    `noDecay` in interface `IFieldI`
  Overrides:
    `noDecay` in class `I3DField`

### linearDecay

    public ISurfacePositionField linearDecay(double threshold)

  Description copied from class: `I3DField`
  set linear decay with threshold; When distance is equal to threshold, output is zero.

  Specified by:
    `linearDecay` in interface `IFieldI`
  Overrides:
    `linearDecay` in class `I3DField`

### linear

    public ISurfacePositionField linear(double threshold)

  Description copied from class: `I3DField`
  alias of linearDecay

  Specified by:
    `linear` in interface `IFieldI`
  Overrides:
    `linear` in class `I3DField`

### gaussianDecay

    public ISurfacePositionField gaussianDecay(double threshold)

  Description copied from class: `I3DField`
  set Gaussian decay with threshold; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).

  Specified by:
    `gaussianDecay` in interface `IFieldI`
  Overrides:
    `gaussianDecay` in class `I3DField`

### gaussian

    public ISurfacePositionField gaussian(double threshold)

  Description copied from class: `I3DField`
  alias of gaussianDecay

  Specified by:
    `gaussian` in interface `IFieldI`
  Overrides:
    `gaussian` in class `I3DField`

### constantIntensity

    public ISurfacePositionField constantIntensity(boolean b)

  Description copied from class: `I3DField`
  if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used

  Specified by:
    `constantIntensity` in interface `IFieldI`
  Overrides:
    `constantIntensity` in class `I3DField`

### threshold

    public ISurfacePositionField threshold(double t)

  Description copied from class: `I3DField`
  set decay threshold

  Specified by:
    `threshold` in interface `IFieldI`
  Overrides:
    `threshold` in class `I3DField`

### intensity

    public ISurfacePositionField intensity(double i)

  Description copied from class: `I3DField`
  set output intensity

  Specified by:
    `intensity` in interface `IFieldI`
  Overrides:
    `intensity` in class `I3DField`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD